View Single Post
Old 05-04-13, 06:50 AM   #7
siddly
Registered User
 
Join Date: Jul 2003
Location: West Midlands, UK
Posts: 125
Default Re: 3.9.0 kernel module load error - GPL-only symbol system_wq

I now see the problem.
The kernel is 3.9.0+ heading towards 3.10 which has EFI enabled by default.

The problem boils down to this and I don't need a reminder that it's an unsupported kernel as far as NVidia is concerned:-
/usr/src/NVIDIA-Linux-x86_64-319.17/kernel/nv-i2c.c: In function ‘nv_i2c_del_adapter’:
/usr/src/NVIDIA-Linux-x86_64-319.17/kernel/nv-i2c.c:327:14: error: void value not ignored as it ought to be

It's trying to return void.
siddly is offline   Reply With Quote